Skip to main content
GET
Find a subscription

Authorizations

Authorization
string
header
required

Authentication header of the form api key, where api key is your organization api key.

Headers

X-API-Version
enum<string>
default:1.0.0
required

Specifies the version of the API to use

Available options:
1.0.0

Path Parameters

id
string
required

Subscription ID

Response

OK

created_at
string

The date and time at which the subscription was created in UTC format

Example:

"2025-05-26T10:00:00Z"

current_period_end
string
cancelled_at
string

UTC timestamp of when the subscription became cancelled; null unless the subscription is cancelled

Example:

"2026-06-10T14:32:08Z"

cancellation_details
object

Server-attested cancellation attribution. Always present; sub-fields are null unless the subscription is cancelled (or scheduled for cancellation).

current_period_start
string
id
string

Unique identifier for the subscription

Example:

"sub_123e4567-e89b-12d3-a456-426614174000"

metadata
object

Custom metadata associated with the subscription A dictionary of key-value pairs.

Example:
next_billing_date
string

Next scheduled billing date for the subscription

Example:

"2025-06-26T12:00:00Z"

past_due
object

Information about past due attempts

plan
object
status
enum<string>

Current status of the subscription

Available options:
trial,
active,
past_due,
cancelled,
scheduled_for_cancellation
updated_at
string

The date and time of the last subscription update in UTC format

Example:

"2025-05-27T10:00:00Z"